package kandata.launcher;

import java.util.ArrayList;
import java.awt.Image;

/** サイトの情報 */
public class SiteCategory {
	/** カテゴリ名 */
	private String name;

	/** カテゴリのテーマ. テーマカラーとか、壁紙とか */

	/** サイトリスト */
	ArrayList siteList;	// ArrayList<Site>

	public SiteCategory(String name) {
		this.name = name;
		siteList = new ArrayList();
	}
	public String getName() {
		return name;
	}
	public void addSiteInfo(Site info) {
		siteList.add(info);
	}
	public Site removeSiteInfo(int index) {
		return (Site) siteList.remove(index);
	}
	public Site getSiteInfo(int index) {
		return (Site) siteList.get(index);
	}
	public Site setSiteInfo(int index, Site site) {
		return (Site) siteList.set(index, site);
	}
	public int getSize() {
		return siteList.size();
	}
}
